Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.persist.xml
Class FloatingGroupSerializer

    java.lang.Object
      org.flexdock.perspective.persist.xml.FloatingGroupSerializer

All Implemented Interfaces:
  ISerializer

    public class FloatingGroupSerializer

extends Object
implements ISerializer

Created on 2005-06-03

Version:
  $Id: FloatingGroupSerializer.java,v 1.8 2005-07-06 18:10:48 winnetou25 Exp $
Author:
  Mateusz Szczap

Constructor Summary
`FloatingGroupSerializer()`

Method Summary
`Object` | `deserialize(Element element)`
`Element` | `serialize(Document document, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatingGroupSerializer

    public FloatingGroupSerializer()

Method Detail

### serialize

    public Element serialize(Document document,
                             Object object)

  Specified by:
    `serialize` in interface `ISerializer`
  See Also:
    `ISerializer.serialize(org.w3c.dom.Document, java.lang.Object)`

### deserialize

    public Object deserialize(Element element)

  Specified by:
    `deserialize` in interface `ISerializer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD